Bug 105625 - LTC4529-Cannot umount root mounted --rbind
LTC4529-Cannot umount root mounted --rbind
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-09-25 23:51 EDT by IBM Bug Proxy
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-26 03:58:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2003-09-25 23:51:08 EDT
The following has be reported by IBM LTC:  
Cannot umount root  mounted --rbind
Hardware Environment:
VMWare 4.0 

Software Environment:
RHEL 3 Beta 2

Steps to Reproduce:
1.mkdir /tmp/test
2.mount --rbind / /tmp/test
3.cd /tmp/test
5.cd boot
6.ls  # this verifies that I can see the contents of another mounted partition
7.cd /
8.umount /tmp/test

Actual Results:
umount: /tmp/test:  device is busy
Expected Results:

I expected to be able to umount my recursive mount of the system root.

Additional Information:Bill - did this happen on RHAS 2.1 ?  How about earlier
beta versions of RHEL3 ?This feature did not exist in RHAS 2.1 and I did not try
the earlier beta
release.  This appears to be a new feature in this kernel.  
Actually, it seems as though this feature has been in the kernel since
2.4.18 but this is the first release in which mount had the --rbind switch so I
hadn't tried it before.
Glen/Greg - please submit this to Red Hat.  Thanks.
Comment 1 Arjan van de Ven 2003-09-26 03:58:16 EDT
(from discussion with Al Viro)
this is not a bug; with rbind, proc and others are mounted on TOP of the new
mount point, so it is indeed busy.
If you want to umount it anyway, you need to use umount -l which will recursive
umount this again.

Note You need to log in before you can comment on or make changes to this bug.